#!/bin/bash
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:.
FILE=$JAVA_HOME/bin/java
if [[ ("$0" == "/usr/share/gnuaccounting/gnuaccounting") || ("$0" == "/usr/bin/gnuaccounting")]]
then
    cd /usr/share/gnuaccounting/
else
    # if a user starts e.g. sh test/me/gnuaccounting.sh get the relative dir part "test/me" 
    RELATIVEDIR=`echo $0|sed s/gnuaccounting.sh//g`
fi
if [ $RELATIVEDIR ];
then
    cd $RELATIVEDIR
fi
   

ARGUMENTS="-Djava.library.path=./libs -cp ./libs/org.eclipse.core.commands_3.6.0.I20100512-1500.jar:./libs/org.eclipse.equinox.common_3.6.0.v20100503.jar:./libs/org.eclipse.jface_3.6.0.I20100601-0800.jar:./libs/org.eclipse.swt_3.6.0.v3650b.jar:./libs/org.eclipse.osgi_3.6.0.v20100517.jar:./libs/noa/ag.ion.noa_2.2.3.jar:./libs/noa/junit-3.8.1.jar:./libs/noa/ridl.jar:./libs/noa/bootstrapconnector.jar:./libs/noa/jurt.jar:./libs/noa/sandbox.jar:./libs/noa/java_uno_accessbridge.jar:./libs/noa/jut.jar:./libs/noa/unoil.jar:./libs/noa/java_uno.jar:./libs/noa/officebean.jar:./libs/noa/unoloader.jar:./libs/noa/juh.jar:./libs/noa/registry-3.1.3.jar:./libs/mail.jar:./libs/hsqldb.jar:./libs/hbci/hbci4java.jar:./libs/uk.co.mmscomputing.device.sane.jar:./libs/uk.co.mmscomputing.device.twain.jar:./libs/PDFRenderer.jar:./libs/persistence/antlr-2.7.6.jar:./libs/persistence/c3p0-0.9.1.jar:./libs/persistence/commons-collections-3.1.jar:./libs/persistence/dom4j-1.6.1.jar:./libs/persistence/ejb3-persistence.jar:./libs/persistence/hibernate3.jar:./libs/persistence/hibernate-annotations.jar:./libs/persistence/hibernate-commons-annotations.jar:./libs/persistence/javassist-3.4.GA.jar:./libs/persistence/jta-1.1.jar:./libs/persistence/log4j-1.2.15.jar:./libs/persistence/slf4j-api-1.5.6.jar:./libs/persistence/slf4j-simple-1.5.6.jar:./libs/barbecue-1.5-beta1.jar:./libs/mysql-connector-java-5.1.6-bin.jar:./libs/postgresql-8.4-701.jdbc4.jar:./libs/jargs.jar:.:"

# Add correct SWT
#Darwin = Mac OS
if [ `uname -a | grep Darwin | wc -l` -gt 0 ]; then 
	ARGUMENTS="-XstartOnFirstThread ${ARGUMENTS}./libs/org.eclipse.swt.cocoa.macosx.x86_64_3.5.1.v3555.jar"
else
	if [ `uname -a | grep x86_64 | wc -l` -gt 0 ]; then
		ARGUMENTS="${ARGUMENTS}./libs/org.eclipse.swt.gtk.linux.x86_64_3.6.0.v3650b.jar"
	else
		ARGUMENTS="${ARGUMENTS}./libs/org.eclipse.swt.gtk.linux.x86_3.6.0.v3650b.jar"
	fi
fi

ARGUMENTS="${ARGUMENTS} GUILayer/MainWindow $@"

if [ -f $FILE ];
then
# java_home is set
$FILE $ARGUMENTS
else
# lets hope java is at least in the classpath
java $ARGUMENTS
fi